Bug 852867 - [abrt] evolution-3.4.3-2.fc17: g_type_check_instance_is_a: Process /usr/bin/evolution was killed by signal 11 (SIGSEGV)
[abrt] evolution-3.4.3-2.fc17: g_type_check_instance_is_a: Process /usr/bin/e...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:d2fa3214287642672cf3ecee07b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-29 15:48 EDT by Maciek Borzecki
Modified: 2013-07-31 23:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 23:46:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.66 KB, text/plain)
2012-08-29 15:48 EDT, Maciek Borzecki
no flags Details
File: maps (96.38 KB, text/plain)
2012-08-29 15:49 EDT, Maciek Borzecki
no flags Details
File: dso_list (19.30 KB, text/plain)
2012-08-29 15:49 EDT, Maciek Borzecki
no flags Details

  None (edit)
Description Maciek Borzecki 2012-08-29 15:48:52 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        evolution
crash_function: g_type_check_instance_is_a
executable:     /usr/bin/evolution
kernel:         3.5.2-3.fc17.x86_64
pid:            22319
pwd:            /home/maciek
remote_result:  NOTFOUND
time:           Wed 29 Aug 2012 08:55:14 PM CEST
uid:            1000
username:       maciek

backtrace:      Text file, 41639 bytes
dso_list:       Text file, 19762 bytes
maps:           Text file, 98698 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/maciek/2

core_backtrace:
:41d17d4a5034f12665fbcbb2c80a4beca8bb0881 0x308dc g_type_check_instance_is_a libgobject-2.0.so.0 -
:e56fb6650b2d4190d3c3e33ae068ee7cb73f30bf 0x1a3c8 e_client_get_dbus_proxy libedataserver-1.2.so.16 -
:e56fb6650b2d4190d3c3e33ae068ee7cb73f30bf 0x1a94b - libedataserver-1.2.so.16 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6cfb7 g_simple_async_result_complete libgio-2.0.so.0 -
:6d13b4e8294bd29204ee566fd8ea1b67467d8ed5 0x6d0b9 - libgio-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47695 g_main_context_dispatch libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x479c8 - libglib-2.0.so.0 -
:8c083e0f61deb55917e5c7b193fe4d000a7375f1 0x47dc2 g_main_loop_run libglib-2.0.so.0 -
:0008a6c4028b3826f8905324c770e7aa450e5d3b 0x179f75 gtk_main libgtk-3.so.0 -
:5b7178c7db7ab07be318112e4d55a02b8578ec28 0x22da main [exe] -

environ:
:XDG_VTNR=7
:XDG_SESSION_ID=2
:SSH_AGENT_PID=1030
:HOSTNAME=corsair
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GLADE_PIXMAP_PATH=:
:GPG_AGENT_INFO=/home/maciek/.gnupg/S.gpg-agent:1051:1
:TERM=dumb
:SHELL=/bin/zsh
:XDG_MENU_PREFIX=xfce-
:HISTSIZE=1000
:QTDIR=/usr/lib64/qt-3.3
:GNOME_KEYRING_CONTROL=/home/maciek/.cache/keyring-w5AR4M
:QTINC=/usr/lib64/qt-3.3/include
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=maciek
:XDG_SESSION_PATH=/org/freedesktop/DisplayManager/Session0
:GLADE_MODULE_PATH=:
:XDG_SEAT_PATH=/org/freedesktop/DisplayManager/Seat0
:SSH_AUTH_SOCK=/tmp/ssh-vTypRbvoL890/agent.890
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1062,unix/unix:/tmp/.ICE-unix/1062
:XDG_CONFIG_DIRS=/etc/xdg
:MAIL=/var/spool/mail/maciek
:DESKTOP_SESSION=xfce
:PATH=/usr/lib64/qt-3.3/bin:/usr/libexec/lightdm:/usr/local/bin:/usr/bin:/bin:/home/maciek/bin:/usr/local/sbin:/usr/sbin
:QT_IM_MODULE=xim
:PWD=/home/maciek
:XMODIFIERS=@im=none
:LANG=en_US.UTF-8
:GNOME_KEYRING_PID=885
:GDMSESSION=xfce
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:SHLVL=2
:XDG_SEAT=seat0
:HOME=/home/maciek
:LOGNAME=maciek
:QTLIB=/usr/lib64/qt-3.3/lib
:XDG_DATA_DIRS=/usr/local/share:/usr/share
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-eSFCd8RU5S,guid=6c48153a97d363633a93b222000000f6
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:DISPLAY=:0.0
:XDG_RUNTIME_DIR=/run/user/maciek
:LIBGLADE_MODULE_PATH=:
:GLADE_CATALOG_PATH=:
:XAUTHORITY=/var/run/lightdm/maciek/xauthority
:_=/usr/bin/mono
:DESKTOP_STARTUP_ID=Do/evolution/1448-6-corsair_TIME17806057

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 23998                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       23998                23998                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/dev/null
:pos:	0
:flags:	0100001
:2:/home/maciek/.xsession-errors
:pos:	14287
:flags:	0102001
:3:socket:[1232060]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:6:socket:[1232061]
:pos:	0
:flags:	02004002
:7:socket:[1232065]
:pos:	0
:flags:	02004002
:8:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:9:socket:[1230259]
:pos:	0
:flags:	02004002
:10:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:11:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:12:socket:[1232071]
:pos:	0
:flags:	02004002
:13:/home/maciek/.pki/nssdb/cert9.db
:pos:	40
:flags:	02100002
:14:/var/tmp/etilqs_ixoc4vW8gKrWuY9 (deleted)
:pos:	28
:flags:	02100002
:15:/var/tmp/etilqs_GfC9ogfhqbFbSBU (deleted)
:pos:	2056
:flags:	02500002
:16:/var/tmp/etilqs_U1pRSJFpQtcrda2 (deleted)
:pos:	2048
:flags:	02500002
:17:/home/maciek/.pki/nssdb/key4.db
:pos:	40
:flags:	02100002
:18:/var/tmp/etilqs_3LaAC39iZyegckK (deleted)
:pos:	28
:flags:	02100002
:19:/var/tmp/etilqs_lt2s1OjAZglwA3b (deleted)
:pos:	2056
:flags:	02500002
:20:/var/tmp/etilqs_laVbjDJYEugHFDz (deleted)
:pos:	2048
:flags:	02500002
:21:/etc/pki/nssdb/cert9.db
:pos:	40
:flags:	02100000
:22:/var/tmp/etilqs_puXuXZKbGkiZIKA (deleted)
:pos:	28
:flags:	02100002
:23:/var/tmp/etilqs_Lbaur26CGhrsJQX (deleted)
:pos:	2048
:flags:	02500002
:24:/etc/pki/nssdb/key4.db
:pos:	40
:flags:	02100000
:25:/var/tmp/etilqs_r5rouJDf6oIni6S (deleted)
:pos:	28
:flags:	02100002
:26:/var/tmp/etilqs_KYazZ37HsWcqRoK (deleted)
:pos:	2048
:flags:	02500002
:27:/home/maciek/.local/share/evolution/mail/local/folders.db
:pos:	48128
:flags:	02100002
:28:/home/maciek/.local/share/evolution/mail/vfolder/folders.db
:pos:	40
:flags:	02100002
:29:socket:[1232080]
:pos:	0
:flags:	02004002
:30:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:31:/home/maciek/.cache/evolution/mail/1338460070.2673.21@corsair/folders.db
:pos:	24355840
:flags:	02100002
:32:socket:[1233774]
:pos:	0
:flags:	04002
:33:anon_inode:inotify
:pos:	0
:flags:	02004000
:34:socket:[1269698]
:pos:	0
:flags:	02004002

var_log_messages:
:Aug 29 20:55:14 localhost kernel: [18955.235647] evolution[22319] general protection ip:3f49a308dc sp:7fffadedd6e8 error:0 in libgobject-2.0.so.0.3200.4[3f49a00000+4b000]
:Aug 29 20:55:17 localhost abrt[22790]: Saved core dump of pid 22319 (/usr/bin/evolution) to /var/spool/abrt/ccpp-2012-08-29-20:55:14-22319 (200736768 bytes)

xsession_errors:
:** (evolution:13865): CRITICAL **: e_mail_session_uri_to_folder_finish: assertion `CAMEL_IS_FOLDER (context->folder)' failed
:(evolution:14247): camel-WARNING **: CamelIMAPXStore::noop_sync() reported failure without setting its GError
:(evolution:14247): camel-WARNING **: CamelIMAPXStore::noop_sync() reported failure without setting its GError
:(evolution-alarm-notify:1165): evolution-alarm-notify-WARNING **: alarm.c:254: Requested removal of nonexistent alarm!
:(evolution:14247): camel-WARNING **: CamelIMAPXStore::noop_sync() reported failure without setting its GError
Comment 1 Maciek Borzecki 2012-08-29 15:48:56 EDT
Created attachment 607986 [details]
File: backtrace
Comment 2 Maciek Borzecki 2012-08-29 15:49:00 EDT
Created attachment 607987 [details]
File: maps
Comment 3 Maciek Borzecki 2012-08-29 15:49:02 EDT
Created attachment 607988 [details]
File: dso_list
Comment 4 Milan Crha 2012-08-30 03:49:51 EDT
Thanks for a bug report. I think I saw something similar too, but very rarely, and I never found a way for a reproducer. To be sure, could you install debuginfo packages for evolution-data-server (should be of the same version as the binary package (rpm -qa | grep evolution-data-server | sort)) and rebuild the backtrace, thus the line:
   0x0000003f6961a94b in ?? () from /lib64/libedataserver-1.2.so.16
will show exact function and possibly line numbers, please? Could you also write what you did when this happened, please?
Comment 5 Fedora End Of Life 2013-07-03 20:15:51 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-07-31 23:47:00 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.